Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.netcomm
Interface Protocollnformation

All Known Implementing Classes:
  ProtocolInformationImpl

    public interface Protocollnformation

Provides information of the soported protocols. In the new Communication system an object implementing this interface is sent to inform of the possible protocols that can be used.

Version:
  $Revision: 1.1 $
Author:
  Sebastian Rodriguez - sebastian.rodriguez@utbm.fr

Method Summary
`java.lang.String` | `getBestProtocol(Protocollnformation info)` Searches for the best protocol to use from the receivers point of view.
`java.util.Collection` | `getExtraParameters()` Returns a Collection of parameters to further configure a the protocols
`java.util.Collection` | `getProtocols()` Gets the known protocols.
`java.lang.String` | `getVersion()` Returns the version of the the Protocol information
`boolean` | `refused()` Is the Connection refused??
`java.lang.String` | `refuseReason()` Reason of the distant Kernel to refuse the connection.

Method Detail

### getBestProtocol

    java.lang.String getBestProtocol(Protocollnformation info)

  Searches for the best protocol to use from the receivers point of view. It must take the first protocol of the local protocols as search it among the protocols in `info`. If found this is the protocol that will be used.

  Parameters:
    `info` - distant kernel known protocols
  Returns:
    the best protocol to use or null if no match is found

### getProtocols

    java.util.Collection getProtocols()

  Gets the known protocols.

  Returns:
    a collection of strings with the protocols name.

### refused

    boolean refused()

  Is the Connection refused??

  Returns:

### refuseReason

    java.lang.String refuseReason()

  Reason of the distant Kernel to refuse the connection.

  Returns:

### getVersion

    java.lang.String getVersion()

  Returns the version of the the Protocol information

  Returns:

### getExtraParameters

    java.util.Collection getExtraParameters()

  Returns a Collection of parameters to further configure a the protocols

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.